db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Knut Anders Hatlen <knut.hat...@oracle.com>
Subject Re: Mixed client sever and upgrade and compatibility testing with Junit Tests
Date Tue, 14 Dec 2010 22:10:41 GMT
dag.wanvik@oracle.com (Dag H. Wanvik) writes:

> Kathey Marsden <kmarsdenderby@sbcglobal.net> writes:
>
>> Soft upgrade testing: Create database system/wombat with the old
>> version. Then using the old derbyTesting.jar and new  product jars,
>> run suites.All. 
>
> I did this and saw two kinds of errors. The first is the BOOLEAN type upgrade
> requirement, expected, so OK.
>
> The second error I see is this (I ran with lib-debug). Not sure if this
> is expected or not?
>
> Dag
>
> 74) testBootingAnAlreadyBootedDatabase(org.apache.derbyTesting.functionTests.tests.store.ClassLoaderBootTest)java.lang.ExceptionInInitializerError
[...]
> Caused by: java.lang.SecurityException: sealing violation: package org.apache.derby.iapi.services.sanity
is sealed

Could you be seeing DERBY-4669?

-- 
Knut Anders

Mime
View raw message